#!/bin/bash
#
# Project Info:
# 		groupId       : org.bilat.project
#		artifactId    : bilat-discoveryMat
# 		version       : 2.1.4-SNAPSHOT
# 		name          : DiscoveryMat
# 		description   : Soft autonome de macthing de materiaux, 2023
# 		developpeur   : Bilat Cedric
# 		mail          : cedric.bilat@he-arc.ch
#
# Build Info:
#		Build date    : 
#			Date      : 2023.03.07
#			Hour      : 13:30:32
# 		Build by Java :
# 			Version   : 17
#			Vendor    : Oracle Corporation
#		JRE type      :
#		  code source : 17
#		  code target : 17
# 		Build on OS   :
# 			name      : Windows 10
#			arch	  : amd64
#			version   : 10.0
#
#
# Tip linux : 
#
# 	(T1)	Replace "windows line feed" by "linux line feed"
#
# 				sed --in-place 's/\r//g'  ./*.sh
#
# 	(T2)	Associe le workingdirectory au folder contenant this!
# 			UseFull for 
#				(1) classpath java 	(dont les chemins sont donner en relatif)
#				(2) sous-script 	(dont les chemins sont donner en relatif)
#

cd $(dirname $0) 

# 	(T3)	Installation JRE (Java Runtime Environnement):
# 				
#				sudo sed --in-place 's/\r//g' ./tools/installOpenJDK.sh
#				chmod +x ./tools/installOpenJDK.sh
#				sudo ./tools/instalOpenJDK.sh
# 								
#


################
# virtualhub
################

PATH_HUB=./native/linux/linux64/yocto_virtualhub/64bits

echo ""
echo "virtualhub version : "
echo ""
${PATH_HUB}/VirtualHub.sh -v
echo ""

#echo "virtualhub starting in bakground ..."
#${PATH_HUB}/VirtualHub.sh &
#${PATH_HUB}/VirtualHub.sh -d # a essayer Under Linux starts VirtualHub in background mode.
#echo ""

################
# java
################

echo ""
java -version
echo ""

################
# discoveryMat
################

echo ""
java -Xms500m -Xmx1000m -Djava.library.path=./native/linux/linux64:./native/linux -cp .:./*:./jars/* org.bilat.discoveryMat.use.UseDiscoveryMats
echo ""

################
# end
################

# You can comment this ligne in GUI application
read -p "Type Enter to exit"